curl --request POST \
--url https://agent.crowdlisten.com/agent/v1/analysis/run \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"request_id": "<string>",
"project_id": "<string>",
"options": {
"tag": "<string>",
"public": false,
"num_sources": 100
},
"mode": "<string>",
"search_mode": "knowledge",
"platforms": [
"<string>"
],
"urls": [
"<string>"
],
"uploaded_content": "<string>",
"uploaded_file_name": "<string>",
"provided_sources": [
{}
],
"entity_id": "<string>",
"workspace_id": "<string>",
"skill": "<string>",
"depth": "brief"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/analysis/run"
payload = {
"question": "<string>",
"request_id": "<string>",
"project_id": "<string>",
"options": {
"tag": "<string>",
"public": False,
"num_sources": 100
},
"mode": "<string>",
"search_mode": "knowledge",
"platforms": ["<string>"],
"urls": ["<string>"],
"uploaded_content": "<string>",
"uploaded_file_name": "<string>",
"provided_sources": [{}],
"entity_id": "<string>",
"workspace_id": "<string>",
"skill": "<string>",
"depth": "brief"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
question: '<string>',
request_id: '<string>',
project_id: '<string>',
options: {tag: '<string>', public: false, num_sources: 100},
mode: '<string>',
search_mode: 'knowledge',
platforms: ['<string>'],
urls: ['<string>'],
uploaded_content: '<string>',
uploaded_file_name: '<string>',
provided_sources: [{}],
entity_id: '<string>',
workspace_id: '<string>',
skill: '<string>',
depth: 'brief'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/analysis/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/analysis/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'request_id' => '<string>',
'project_id' => '<string>',
'options' => [
'tag' => '<string>',
'public' => false,
'num_sources' => 100
],
'mode' => '<string>',
'search_mode' => 'knowledge',
'platforms' => [
'<string>'
],
'urls' => [
'<string>'
],
'uploaded_content' => '<string>',
'uploaded_file_name' => '<string>',
'provided_sources' => [
[
]
],
'entity_id' => '<string>',
'workspace_id' => '<string>',
'skill' => '<string>',
'depth' => 'brief'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/analysis/run"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"request_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"options\": {\n \"tag\": \"<string>\",\n \"public\": false,\n \"num_sources\": 100\n },\n \"mode\": \"<string>\",\n \"search_mode\": \"knowledge\",\n \"platforms\": [\n \"<string>\"\n ],\n \"urls\": [\n \"<string>\"\n ],\n \"uploaded_content\": \"<string>\",\n \"uploaded_file_name\": \"<string>\",\n \"provided_sources\": [\n {}\n ],\n \"entity_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"skill\": \"<string>\",\n \"depth\": \"brief\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/agent/v1/analysis/run")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"request_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"options\": {\n \"tag\": \"<string>\",\n \"public\": false,\n \"num_sources\": 100\n },\n \"mode\": \"<string>\",\n \"search_mode\": \"knowledge\",\n \"platforms\": [\n \"<string>\"\n ],\n \"urls\": [\n \"<string>\"\n ],\n \"uploaded_content\": \"<string>\",\n \"uploaded_file_name\": \"<string>\",\n \"provided_sources\": [\n {}\n ],\n \"entity_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"skill\": \"<string>\",\n \"depth\": \"brief\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/analysis/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"request_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"options\": {\n \"tag\": \"<string>\",\n \"public\": false,\n \"num_sources\": 100\n },\n \"mode\": \"<string>\",\n \"search_mode\": \"knowledge\",\n \"platforms\": [\n \"<string>\"\n ],\n \"urls\": [\n \"<string>\"\n ],\n \"uploaded_content\": \"<string>\",\n \"uploaded_file_name\": \"<string>\",\n \"provided_sources\": [\n {}\n ],\n \"entity_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"skill\": \"<string>\",\n \"depth\": \"brief\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Run Analysis
Queue a durable research input, then observe its saved state over NDJSON.
curl --request POST \
--url https://agent.crowdlisten.com/agent/v1/analysis/run \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"request_id": "<string>",
"project_id": "<string>",
"options": {
"tag": "<string>",
"public": false,
"num_sources": 100
},
"mode": "<string>",
"search_mode": "knowledge",
"platforms": [
"<string>"
],
"urls": [
"<string>"
],
"uploaded_content": "<string>",
"uploaded_file_name": "<string>",
"provided_sources": [
{}
],
"entity_id": "<string>",
"workspace_id": "<string>",
"skill": "<string>",
"depth": "brief"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/analysis/run"
payload = {
"question": "<string>",
"request_id": "<string>",
"project_id": "<string>",
"options": {
"tag": "<string>",
"public": False,
"num_sources": 100
},
"mode": "<string>",
"search_mode": "knowledge",
"platforms": ["<string>"],
"urls": ["<string>"],
"uploaded_content": "<string>",
"uploaded_file_name": "<string>",
"provided_sources": [{}],
"entity_id": "<string>",
"workspace_id": "<string>",
"skill": "<string>",
"depth": "brief"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
question: '<string>',
request_id: '<string>',
project_id: '<string>',
options: {tag: '<string>', public: false, num_sources: 100},
mode: '<string>',
search_mode: 'knowledge',
platforms: ['<string>'],
urls: ['<string>'],
uploaded_content: '<string>',
uploaded_file_name: '<string>',
provided_sources: [{}],
entity_id: '<string>',
workspace_id: '<string>',
skill: '<string>',
depth: 'brief'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/analysis/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/analysis/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'request_id' => '<string>',
'project_id' => '<string>',
'options' => [
'tag' => '<string>',
'public' => false,
'num_sources' => 100
],
'mode' => '<string>',
'search_mode' => 'knowledge',
'platforms' => [
'<string>'
],
'urls' => [
'<string>'
],
'uploaded_content' => '<string>',
'uploaded_file_name' => '<string>',
'provided_sources' => [
[
]
],
'entity_id' => '<string>',
'workspace_id' => '<string>',
'skill' => '<string>',
'depth' => 'brief'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/analysis/run"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"request_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"options\": {\n \"tag\": \"<string>\",\n \"public\": false,\n \"num_sources\": 100\n },\n \"mode\": \"<string>\",\n \"search_mode\": \"knowledge\",\n \"platforms\": [\n \"<string>\"\n ],\n \"urls\": [\n \"<string>\"\n ],\n \"uploaded_content\": \"<string>\",\n \"uploaded_file_name\": \"<string>\",\n \"provided_sources\": [\n {}\n ],\n \"entity_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"skill\": \"<string>\",\n \"depth\": \"brief\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/agent/v1/analysis/run")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"request_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"options\": {\n \"tag\": \"<string>\",\n \"public\": false,\n \"num_sources\": 100\n },\n \"mode\": \"<string>\",\n \"search_mode\": \"knowledge\",\n \"platforms\": [\n \"<string>\"\n ],\n \"urls\": [\n \"<string>\"\n ],\n \"uploaded_content\": \"<string>\",\n \"uploaded_file_name\": \"<string>\",\n \"provided_sources\": [\n {}\n ],\n \"entity_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"skill\": \"<string>\",\n \"depth\": \"brief\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/analysis/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"request_id\": \"<string>\",\n \"project_id\": \"<string>\",\n \"options\": {\n \"tag\": \"<string>\",\n \"public\": false,\n \"num_sources\": 100\n },\n \"mode\": \"<string>\",\n \"search_mode\": \"knowledge\",\n \"platforms\": [\n \"<string>\"\n ],\n \"urls\": [\n \"<string>\"\n ],\n \"uploaded_content\": \"<string>\",\n \"uploaded_file_name\": \"<string>\",\n \"provided_sources\": [\n {}\n ],\n \"entity_id\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"skill\": \"<string>\",\n \"depth\": \"brief\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
Request body for starting new analysis
Analysis question
1 - 1000Idempotency key; changed inputs conflict
8 - 128Project UUID
Analysis options
Show child attributes
Show child attributes
Analysis mode: 'crowd' or 'auto'
Search mode: 'knowledge' (search stored KB + content_store, default), 'multi_source' (live web search), 'hybrid' (legacy alias), 'web_only', 'user_only', 'user_first'
Platforms to search: reddit, twitter (X), github, news
URLs pasted by user for MCP content extraction
Content from user-uploaded file (text, transcribed audio, etc.)
Original filename of uploaded content
Supplied originals or stored source IDs; stored bodies are reloaded under caller scope
1 - 2000 elementsEntity UUID for scoped analysis (from frontend entity picker)
Workspace UUID for content isolation in shared workspaces
Skill ID (e.g., 'crowd-research') to influence analysis methodology
Analysis depth: 'brief' (bounded discovery) or 'deep' (bounded discovery plus original text/comment extraction)
Response
Successful Response